
Redmine - Feature #11858

Next issue number after deleting an issue

2012-09-17 17:41 - Wojtek …

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

In case we delete an issue number 'x' which is currently last one the next created issue is still number x+1. It would be convenient

that the next one would be still 'x' to avoid ghost issues (i.e. numbers that doesn't point to any issue

History

#1 - 2012-09-18 04:52 - William Roush

I'd vote no on this one, first it's kind of cumbersome to do due to autonumbering, on top of that it leads to a lot of problems (if I link to issue #100 and it

gets deleted, when what would be 101 gets created, my link now links to the wrong issue).

I've seen requests like this for just about every auto-numbering system available, and all of them is really micromanagement. Don't want gaps ever?

Don't delete tickets.

#2 - 2012-09-18 10:00 - Wojtek …

Don't want gaps ever? Don't delete tickets.

 Simple case - user doubleclicks "create" on the issue page which leads to two tickets of which one can/has to be deleted.

#3 - 2012-09-18 10:03 - Etienne Massip

Wojtek K. wrote:

Don't want gaps ever? Don't delete tickets.

 Simple case - user doubleclicks "create" on the issue page which leads to two tickets of which one can/has to be deleted.

 This should have been fixed in Redmine, double post should not happen anymore.

#4 - 2012-09-18 10:05 - Wojtek …

Still, case with issues submited by e-mail (i.e. spam filtering problem not working in 100%)

#5 - 2012-09-20 19:53 - William Roush

Wojtek K. wrote:

Don't want gaps ever? Don't delete tickets.

 Simple case - user doubleclicks "create" on the issue page which leads to two tickets of which one can/has to be deleted.

 Reject it as a duplicate, relate it to the duplicate ticket.

The main limitation is basically how all database systems have done auto-numbers since forever, the overhead of maintaining the empty slots gains

you really nothing except database fragmentation and a warm and fuzzy feeling that you don't have "holes" in your auto-numbers.

Wojtek K. wrote:

Still, case with issues submited by e-mail (i.e. spam filtering problem not working in 100%)
 Reject as invalid.

#6 - 2012-09-22 11:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Having to reset database sequences is not something I'd like to implement. Sorry but this is a no.

#7 - 2014-05-19 08:20 - zhiguo Zhu

+1

#8 - 2014-06-17 01:29 - Toshi MARUYAMA

- Category set to Issues
